Package kiyut.swing.combo

## Class SeparatorComboBox.SeparatorListCellRenderer<String>

- java.lang.Object
- - kiyut.swing.combo.SeparatorComboBox.SeparatorListCellRenderer<String>

- Type Parameters:
    `String` - the type of values this renderer can be used for
  All Implemented Interfaces:
    `ListCellRenderer<String>`
  Enclosing class:
    SeparatorComboBox

      public class SeparatorComboBox.SeparatorListCellRenderer<String>
      extends Object
      implements ListCellRenderer<String>

  ListCellRenderer for `SeparatorComboBox`. Implementation Note: This class is simply a wrapper for original ListCellRenderer and using return JSeparator if the value is the separator.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Component` | `separatorComp` |
    `protected ListCellRenderer<? super String>` | `wrapped` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SeparatorListCellRenderer​(ListCellRenderer<? super String> listCellRenderer)` | Constructs a renderer object for an item in a list.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Component` | `getListCellRendererComponent​(JList<? extends String> list, String value, int index, boolean isSelected, boolean cellHasFocus)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wrapped

          protected ListCellRenderer<? super String> wrapped

    - #### separatorComp

          protected Component separatorComp

  - ### Constructor Detail

    - #### SeparatorListCellRenderer

          public SeparatorListCellRenderer​(ListCellRenderer<? super String> listCellRenderer)

      Constructs a renderer object for an item in a list.
      Parameters:
        `listCellRenderer` - The original ListCellRenderer

  - ### Method Detail

    - #### getListCellRendererComponent

          public Component getListCellRendererComponent​(JList<? extends String> list,
                                                        String value,
                                                        int index,
                                                        boolean isSelected,
                                                        boolean cellHasFocus)

      Specified by:
        `getListCellRendererComponent` in interface `ListCellRenderer<String>`